com.io7m.jcanephora.core.api

## Interface JCGLContextUsableType

- All Known Subinterfaces:
    JCGLContextType
  All Known Implementing Classes:
    FakeContext

      public interface JCGLContextUsableType

  The usable interface to OpenGL contexts.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCGLInterfaceGL33Type` | `contextGetGL33()`
    `JCGLImplementationType` | `contextGetImplementation()`
    `String` | `contextGetName()`
    `List<JCGLContextUsableType>` | `contextGetShares()`
    `boolean` | `contextIsCurrent()`
    `boolean` | `contextIsSharedWith(JCGLContextUsableType c)`
    `void` | `contextMakeCurrent()` Make this context current on the current thread.
    `void` | `contextReleaseCurrent()` Release this context on the current thread.

- - ### Method Detail

    - #### contextGetName

          String contextGetName()

      Returns:
        The context name, for debugging purposes

    - #### contextGetShares

          List<JCGLContextUsableType> contextGetShares()

      Returns:
        The list of contexts with which this context is shared

    - #### contextIsSharedWith

          boolean contextIsSharedWith(JCGLContextUsableType c)

      Parameters:
        `c` - The context
      Returns:
        `true` iff `c` is shared with this context

    - #### contextIsCurrent

          boolean contextIsCurrent()

      Returns:
        `true` iff the current context is current
      See Also:
        `contextMakeCurrent()`

    - #### contextMakeCurrent

          void contextMakeCurrent()
                           throws JCGLExceptionContextIsCurrent

      Make this context current on the current thread.
      Throws:
        `JCGLExceptionContextIsCurrent` - If a context (including this one) is already current on this thread

    - #### contextReleaseCurrent

          void contextReleaseCurrent()
                              throws JCGLExceptionContextNotCurrent

      Release this context on the current thread.
      Throws:
        `JCGLExceptionContextNotCurrent` - If the context is not current on any thread

    - #### contextGetGL33

          JCGLInterfaceGL33Type contextGetGL33()

      Returns:
        The OpenGL 3.3 interface for the context

    - #### contextGetImplementation

          JCGLImplementationType contextGetImplementation()

      Returns:
        The implementation that owns the context

Copyright © 2017 <code@io7m.com> http://io7m.com